<!DOCTYPE html>
<html>
    <head>
        <link rel="icon" href="./favicon.ico">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta charset="utf-8"/>

        <title>DSSIPD: Excavator Simulator</title>

        <style>
            html, body {
                box-sizing: border-box;
                margin: 0;
                padding: 0;
                overflow: hidden;
            }
            div.sessionKeyContainer {
                display: flex;
                justify-content: space-between;
                align-items: center;
                font-family:'Courier New', Courier, monospace;
                position: absolute;
                border-radius: 6px;
                right: 30px;
                top: 30px;
                padding: 8px 16px;
                background-color: white;
                color: black;
                box-shadow: 2px 2px 4px rgba(0,0,0,0.35);
                width: 38%;
            }
            div.universityLogo {
                position: absolute;
                background-color: transparent;
                width: 38%;
                height: auto;
                left: 30px;
                top: 30px;
            }
            div code {
                display: block;
                margin-top: 32px;
                color: #fff;
            }
            #sessionMQTTBroker {
                display: inline-block;
                width: auto;
                height: auto;
                padding: 4px 12px;
                margin-right: 4px;
                background-color: #438134;
                border-radius: 0.75em;
                /*border: 1px solid #7fa0cc;*/
                color: white;
            }
            #sessionMQTTBroker.disconnected {
                background-color: #831010;
                color: white;
            }
        </style>
    </head>
    <body>
        <div class="universityLogo"><img 
            width="100%" height="auto" src="./img/rwth-aachen.plain.svg">
            <code id="debug" style="display: none">DEBUG</code>
        </div>
        <div class="sessionKeyContainer">
            <span>
                <span id="sessionMQTTBroker">...</span>
                <span id="sessionKeyBCMA">loading<span id="sessionKeyLoader"></span></span>
            </span>
            <button type="button" onclick="
            const el = document.createElement('textarea');
            el.value = document.getElementById('sessionKeyBCMA').innerText;
            document.body.appendChild(el);
            el.select();
            document.execCommand('copy');
            document.body.removeChild(el)"><img 
                width="16px" height="16px"
                src="./img/copy-to-clipboard.plain.svg"></button>
        </div>
        <script>
            function pageLoading() {
                const loaderSpan = document.getElementById('sessionKeyLoader');
                if (loaderSpan !== null) {
                    const dotCount = loaderSpan.innerText.length;
                    loaderSpan.innerText = '.'.repeat((dotCount + 1) % 4);
                    setTimeout(pageLoading, 500);
                }
            }
            pageLoading();
        </script>
        <script src="./bundle/simple.js"></script>
    </body>
</html>
